Subject: Re: bug#26199: claws-mail needs to be built with libenchant support

From: [email-masked] (Ludovic Courtès)
Date: Fri, 24 Mar 2017 10:48:18 +0100

Leo Famulari <[email-masked]> skribis:

> On Mon, Mar 20, 2017 at 04:51:24PM -0500, Quiliro wrote:
>> That says that the spell checker could not be started. And that the
>> dictionary none could not be started.
>> 
>> "claws-mail needs to be built with libenchant support"
>> "you can't add it afterwards"
>> That is what Claws-Mail's main developer said.
>> 
>> I guess guix does not build claws-mail with libenchant support by
>> default.
>
> Claws-mail is built with support for libenchant:
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/mail.scm#n928
>
> So, there must be another problem.

It may be the problem I identified there:

  https://bugs.gnu.org/25836

Namely, libaspell (used by libenchant) doesn’t honor $ASPELL_CONF, and
thus thinks it has zero dictionaries available.

I’ve been meaning to email upstream and ask for advice, let’s see.

Ludo’.